Как объединить мультилинии в автокаде

Содержание
  1. Приёмы работы с мультилиниями в программе AutoCAD
  2. Описание инструмента
  3. Настройка инструмента
  4. Редактирование мультилиний
  5. Редактирование мультилиний в AutoCAD
  6. ИЗМЕНЕНИЕ ТИПА ВЗАИМНЫХ ПЕРЕСЕЧЕНИЙ
  7. ИЗМЕНЕНИЕ ТИПА ТАВРОВЫХ ПЕРЕСЕЧЕНИЙ
  8. ОФОРМЛЕНИЕ УГЛА
  9. ДОБАВЛЕНИЕ И УДАЛЕНИЕ ВЕРШИН
  10. РАЗРЫВ И СОЕДИНЕНИЕ МУЛЬТИЛИНИЙ
  11. Полилинии в Автокаде. Всё о полилиниях в AutoCAD
  12. версия урока:
  13. Текстовая версия урока:
  14. Вопрос 1. Как задать толщину полилинии в Автокад?
  15. Вопрос 2. Как перейти в режим задания дуги?
  16. Вопрос 3. Как завершить построение полилинии в Автокаде?
  17. Вопрос 4. Как превратить сплайн в полилинию в Автокаде?
  18. Вопрос 5. Как объединить несколько полилиний в Автокаде?
  19. Вопрос 6. Как отрезки объединить в полилинию в Автокаде?
  20. Объединение и вычитание в AutoCAD – СтройМетПроект
  21. Как в автокаде объединить линии с помощью команды «Область»
  22. Как в Автокаде соединить линии с помощью команды «Контур»
  23. Как в Автокаде объединить объекты с помощью команды «Соединить»
  24. Автокад. Объединение объектов одного типа
  25. ПРИМИЧАНИЕ:
  26. Как отменить объединение в Автокаде
  27. AutoCAD Вычитание
  28. ПРИМЕЧАНИЕ:
  29. Таким образом, трехмерное моделирование в AutoCAD с помощью логических команд позволяет создавать разнообразные составные объекты. Операция «Вычитание» — очень популярная команда, т.к. с ее помощью можно делать отверстия и различные углубления. Обязательно ознакомьтесь с данным инструментом на практике!
  30. Мультилиния в Автокаде
  31. Добавление команды «Мультилиния» на ленту
  32. Создание нового стиля мультилинии
  33. Добавление мультилинии в чертеж
  34. Создание стиля мультилинии программным путем
  35. LISP программа добавления мультилинии

Приёмы работы с мультилиниями в программе AutoCAD

Как объединить мультилинии в автокаде

Нельзя сказать, что мультилинии – семейство одновременно изображаемых параллельных линий, они ещё иногда называются «жгутом» – частые объекты чертежа и, таким образом, что соответствующий инструмент часто используется.

Но это та ситуация, когда редко, но метко. Иногда без мультилиний просто не обойтись. Без этого инструмента изображение подобных объектов было бы сильно затруднено.

А если обратиться к настройкам этого объекта, которые представляются Автокадом (любых версий, от 2000 до 2015 и 2017 лет), то некоторые фрагменты без инструмента «мультилиния» в Автокаде вообще изобразить будет невозможно.

В любом случае, инструмент требует изучения и поиска для него достойного места в своей собственной системе чертёжной проектировочной работы.

Описание инструмента

Мультилиния в Автокаде доступна, как и подавляющее большинство других объектов, 3 способами:

  • через панель инструментов «Draw»/«Рисование» – эта панель и инструмент выводятся на экран изначально;
  • через меню «Draw»/«Multiline» («Рисование» — «Мультилиния»);
  • через командную строку с помощью команды «mline».

Сразу оговоримся, инструмент строит семейство параллельных отрезков, поэтому работа с ним практически совпадает с работой по построению обычных линий. Построение основано на ранее проведённых настройках или настройках, принятых по умолчанию, которые появляются в окне сразу после запуска команды:

  1. Current settings: Justification = Top, Scale = 20.00, Style = STANDARD – выравнивание семейства будет производиться по верхней линии, расстояние между ними – 20 единиц, стиль изображения – стандартный, принятый по умолчанию (это просто 2 параллельные единичной толщины).
  2. Далее, появляется запрос указания стартовой точки построения: «Specify start point or [Justification/Scale/Style]:».
  3. После указания мышкой стартовой точки, хотя, как принято в данной программе для всех подобных инструментов, точку можно задать и указав координаты по схеме «X,Y» (без пробелов вокруг запятой) непосредственно в командной строке.
  4. Далее, построение можно продолжить указанием последующих точек – отвечая на запрос: «Specify next point:».
  5. Не забудем, что точки можно задавать как в абсолютных, так и в относительных (что значительно удобнее) координатах, при выборе точек очень полезно использовать привязки и трекинг.
  6. После ввода второй точки, когда построены первые отрезки, команда немного усложняется: «Specify next point or [Undo]:» – это означает, что появляется возможность вводом «U» отменить последнюю выбранную точку и, таким образом, последние проведенные линии.
  7. После ввода третьей точки происходит следующее усложнение, команда принимает вид: «Specify next point or [Close/Undo]:» – теперь уже есть возможность строящееся семейство замкнуть вводом «C».
  8. Обращаем внимание, что перед заданием первой точки есть возможность изменить предлагаемые режимы построения: Justification (просто буква «J») – изменение способа выравнивания; Scale («S») – изменение расстояния; Style («ST» – две буквы!) – изменение стиля.
  9. Среди вариантов выравнивания предлагаются три: «Enter justification type [Top/Zero/Bottom] :» – по верхней линии (Top – «T»), по нижней (Bottom – «B»), по средней точке между линиями (Zero – «Z»).
  10. Запрос изменения расстояния: «Enter mline scale :» обязательно напомнит текущее используемое значение.
  11. Запрос изменения стиля: «Enter mline style name or [?]:» – обязывает помнить имена всех уже созданных стилей. Если с этим трудности, то можно просто ввести «?», и в окне команд появится список всех имеющихся в данный момент стилей (вот когда понадобится окно команд размеров в несколько строк, иначе вы на экране ничего просто не увидите, так как таблица стилей состоит, по меньшей мере, из 7 строк).

Обращаем внимание, что созданный таким образом объект чертежа под названием «мультилиния» представляет собой единый блок, который в будущем можно разбить на отдельные элементы и использовать каждый самостоятельно.

Настройка инструмента

Настройка мультилиний производится в меню «Format»/«Multiline Style…» («Формат» — «Стили мультилиний»).

Здесь можно:

  • выбрать один из существующих стилей для его изменения – ниспадающий список «Current»;
  • создать новый – текстовое поле «Name»;
  • ввести описание – текстовое поле «Description».

Для работы со стилем в целом также даются 4 кнопки-команды:

  1. Load – загрузка стиля из файла на диске в формате *.mln (предлагаемый по умолчанию стандартный хранится в файле acad.mln, который находится в папке Support, входящей в папку установки программы; изначально предлагается произвести ввод файла также из этой папки, хотя пользователь, само собой, имеет право размещать свои стили в любом месте жёсткого диска).
  2. Save – сохранение нового созданного стиля мультилинии в файле на диске (формат *.mln).
  3. Add – добавление нового в список используемых; обращаем внимание – стиль появляется в списке «Current», но на диск не записывается, это уже необходимо сделать самостоятельно.
  4. Rename – переименование имени стиля, выбранного в «Current».

Каждый стиль включает в себя две группы настроек, которые доступны через одноимённые кнопки:

  • Element Properties – свойства характеристик линий;
  • Multiline Properties – свойства всего семейства целиком.

Настройки линий включают в себя:

  1. Offset – расстояние между; обращаем внимание на то, что в единицах измерения чертежа это расстояние по умолчанию – 20, но в настройке эта величина соответствует – 0,5.
  2. Color – цвет (изначально предлагается цвет, назначенный для слоя – ByLayer).
  3. Linetype – тип; выбор производится в стандартном окне выбора типа линий Автокада, где можно и загрузить необходимый тип из файла на диске формата *.lin.

Очень важно иметь в виду, что производимые настройки относятся к отдельной выбранной линии. Новые линии добавляются в «семейство» по кнопке Add, удаляются – по кнопке Delete.

Настройки всего объекта целиком состоят в следующих установках:

  1. Переключателя Display joints – выводить или не выводить между линиями, в точках их завершения (каждого отрезка), соединение; по умолчанию данное соединение не выводится.
  2. Стиля завершения начала и конца (в отдельности и независимо каждого) созданного объекта – Caps: Line – точки замыкаются; Outer arc – внешней дугой замыкаются самая верхняя и самая нижняя линии семейства; Inner arc – дуга замыкания идёт вовнутрь семейства; Angle – угол замыкания (по умолчанию предлагается угол в 90° — аналог Line).
  3. Переключателя Fill On – заполнять или нет цветом пространство между линиями; по умолчанию заполнения (заливки) не происходит.
  4. Цвета заливки Fill Color – выбор из стандартной палитры, хотя цвет можно ввести и по его коэффициенту в текстовом поле.

Редактирование мультилиний

Под редактированием понимается изменение стиля пересечения уже построенных ранее мультилиний.

Это может быть выполнено 2 способами:

  • через инструмент «Edit Multiline» – он по умолчанию не выводится, настройку уже нужно проводить самостоятельно;
  • через командную строку с помощью команды «mledit».

Редактирование заключается в выборе стиля пересечения построенных ранее двух рассматриваемых объектов – мультилиний. Сначала выбираем одну в точке, ближней к пересечению, затем вторую, после чего открывается окно выбора (из 10 – 15 вариантов, в зависимости от версии программы) стиля пересечения.

Мультилиния – очень полезный инструмент, необходимо только найти ему применение в своей работе. Аналогичные действия, например, можно произвести инструментом модификаций – «Сдвиг». Но дополнительные настройки мультилинии делают её во многих отношениях более предпочтительным инструментом. Хотя, в конечном счёте, всё зависит от характера построения, личных предпочтений и опыта работы.

Источник: https://nastroyvse.ru/programs/review/kak-rabotat-s-multiliniyami-v-autocad.html

Редактирование мультилиний в AutoCAD

Как объединить мультилинии в автокаде

Мультилиния, как было отмечено выше, представляет собой ломаную двухмерную линию, сегменты которой состоят из нескольких (от 1 до 16) параллельных отрезков. Причем каждый элемент может иметь свой цвет, тип линии и масштаб.

В связи с тем, что элементы мультилинии рассматриваются как единый объект, многие команды общего редактирования для них недоступны (Break, Fillet, Lengthen, Extend, Chamfer и др.). Поэтому в AutoCAD имеется набор команд, ориентированный исключительно на работу с мультилиниями.

Основной из них является команда Ml edit.

После вызова команды М led it открывается диалоговое окно Multiline Edit Tools (Инструменты редактирования мультилиний), изображенное на рис. 8.39.

В этом окне представлены пиктограммы 12 операций, расположенные в четырех столбцах по три в каждом. При выборе той или иной пиктограммы в нижней части окна появляется подсказка с наименованием соответствующей операции. Для подтверждения своего выбора достаточно нажать кнопку ОК.

В первом столбце окна Multiline Edit Tools расположены кнопки изменения типа взаимного пересечения двух мультилиний, во втором – оформления окончания одной мультилинии на другой (форматирование стыков), в третьем – обработки углового пересечения двух мультилиний или одной мультилинии (а также операций с вершинами) и в четвертом – операций разрывов (соединения) отдельных либо всех линий в мультилинии. Далее рассмотрим эти операции в указанном порядке.

ИЗМЕНЕНИЕ ТИПА ВЗАИМНЫХ ПЕРЕСЕЧЕНИЙ

С помощью окна Multiline Edit Tools (Инструменты редактирования мультилиний) можно задать один из трех типов пересечения мультилиний (рис. 8.40).

Для того чтобы применить один из них в качестве пересечения мультилиний, следует вызвать команду М led it и в открывшемся окне щелкнуть по пиктограмме нужного типа. Далее на вопрос Select first mline нужно щелкнуть левой кнопкой мыши по первой линии, а на вопрос Select second mline – по второй.

Примечание. При оформлении пересечений существенное значение имеет то, какая именно из линий была выбрана первой, а какая – второй. Это влияет на последовательность наложений (перекрытий) мультилиний друг на друга – верхней оказывается мультилиния, выбранная в последнюю очередь.

«Закрытый крест» – в пересечении вырезается содержимое первой выделенной мультилинии, а содержимое второй остается без изменений (рис. 8.41).

«Открытый крест» – в пересечении удаляются все линии первой выбранной мультилинии и крайние линии второй (рис. 8.42).

«Сплошной крест» – в пересечении попарно соединяются все внутренние и удаляются крайние линии второй выбранной мультилинии (рис. 8.43).

ИЗМЕНЕНИЕ ТИПА ТАВРОВЫХ ПЕРЕСЕЧЕНИЙ

[ads]

С помощью окна Multiline Edit Tools (Инструменты редактирования мультилиний) можно задать один из трех типов тавровых пересечений мультилиний (рис. 8.44).

Примечание. При изменении типа таврового пересечения также большое значение имеет то, какая из линий выбирается первой и где находится точка выбора (точка выбора должна находиться с той стороны, где мультилиния будет иметь продолжение).

«Закрытый тавр» – отсекается продолжение первой выбранной мультилинии со стороны, противоположной точке выбора; в пересечении вырезается содержимое первой мультилинии, а содержимое второй остается без изменений (рис. 8.45).

«Открытый тавр» – отсекается продолжение первой выбранной мультилинии со стороны, противоположной точке выбора, а в пересечении удаляется крайняя линия второй выбранной мультилинии (рис. 8.46).

«Сплошной тавр» – отсекается продолжение первой выбранной мультилинии со стороны, противоположной точке выбора, а в пересечении попарно соединяются все внутренние и удаляется крайняя линия второй мультилинии (рис. 8.47).

ОФОРМЛЕНИЕ УГЛА

Для оформления углового пересечения конечных сегментов двух мультилиний или одной мультилинии с вычислением всех необходимых пересечений используется пиктограмма панели Multiline Edit Tools (Инструменты редактирования мультилиний) (см. рис. 8.39). Эта опция позволяет создать угол, обрезая линии, расположенные за угловым стыком (рис. 8.48) с противоположной от точки выбора стороны. При этом линии со стороны выбора соединяются попарно.

Примечание. При построении угла, образованного пересечением двух мультилиний с разным количеством составляющих, соединяются только наружные линии, а остальные продолжаются до пересечения с ближайшей линией.

ДОБАВЛЕНИЕ И УДАЛЕНИЕ ВЕРШИН

Изменение количества вершин мультилинии выполняется в основном для добавления или удаления на ней «переломов».

Для вставки новой вершины используется пиктограмма , расположенная в окне Multiline Edit Tools (см. рис. 8.39). После вызова этой опции в ответ на вопрос Select mline следует щелкнуть левой кнопки мыши в той точке мультилинии, где нужно добавить вершину.

Причем независимо от того, в каком месте по ширине мультилинии была указана эта точка, новая вершина добавляется на крайней левой линии (наблюдатель расположен вдоль продольной оси мультилинии лицом к конечной точке).

Пример мультилинии с двумя добавленными вершинами приведен на рис. 8.49.

Для удаления вершин используется пиктограмма , расположенная в окне Multiline Edit Tools (см. рис. 8.39). Порядок удаления вершины очень похож на порядок вставки. Отличие заключается в том, что удаляется одна вершина, расположенная ближе всего к точке выделения мультилинии.

РАЗРЫВ И СОЕДИНЕНИЕ МУЛЬТИЛИНИЙ

В последнем столбце диалогового окна Multiline Edit Tools (Инструменты редактирования мультилиний) (см. рис. 8.39) представлены пиктограммы, выполняющие разрыв и соединение мультилиний.

Для разрыва одной линии мультилинии предназначена пиктограмма . В ответ на первый вопрос этой команды Select mline следует щелкнуть левой кнопки мыши по той линии, которую нужно прервать. Причем указанная точка будет принята за первую точку разрыва.

Затем в ответ на вопрос Select second point достаточно обозначить положение второй точки разрыва. В данном случае уже не нужно выбирать разрываемую линию – вторая точка выделения будет обозначать положение разрыва только по длине мультилинии. На рис. 8.

50 изображена мультилиния до и после разрыва ее серединной линии.

Для разрыва всех линий мультилинии предназначена пиктограмма порядок использования которой не отличается от рассмотренного выше. В свою очередь, пиктограмма восстанавливает целостность всех линий на отмеченном промежутке мультилинии. Если хотя бы одна из двух точек разрыва не попала в указанный промежуток, целостность линии не восстанавливается.

Источник: https://autocad-lessons.ru/redaktirovanie-multilinij-v-autocad/

Полилинии в Автокаде. Всё о полилиниях в AutoCAD

Как объединить мультилинии в автокаде

> Смотреть видео уроки AutoCAD >

В этом видео мы поговорим о том, как работать с полилиниями в Автокаде.

Из урока Вы узнаете:

– Что такое полилиния в Автокаде;

– Как работать с полилинией в AutoCAD;

– Как преобразовать отрезок в полилинию;

– Как преобразовать сплайн в полилинию в Автокаде;

– Как объединить полилинии в одну;

– Как задать толщину полилинии в AutoCAD.

версия урока:

Нажмите для просмотра видеоурока

Текстовая версия урока:

Привет друзья! Сегодня мы с Вами разберем некоторые аспекты работы с полилиниями в Автокаде!

Но для начала предлагаю воспользоваться справкой Автокада и узнать, что такое “полилиния”!

Итак. Полилиния – это сложный примитив, состоящий из одного или нескольких связанных между собой прямолинейных и дуговых сегментов. Полилиния в Автокаде обрабатывается как единое целое (например, при редактировании или удалении).

Проще говоря, полилиния – это несколько взаимосвязанных между собой отрезков при редактировании которого будет меняться вся цепочка линий. Вот некоторые примеры полилиний в AutoCAD.

Вопрос 1. Как задать толщину полилинии в Автокад?

Шаг 1. Выбираем на вкладке “главная”, в панели “рисование” команду полилиния.

Шаг 2.  Важный момент. Задавать параметры для полилинии можно как в самом начале, т.е. до нанесения полилинии на чертеж, так и во время работы с ней.

К примеру, мы начертили несколько сегментов и выбрали в командной строке параметр “полуширина“.

Данные команды  можно найти кликнув правой кнопкой мышки и вызвав тем самым контекстное меню.

Шаг 3. Теперь нам нужно задать начальную полуширину, задаемся 50.

Шаг 4. Задаемся конечной полушириной, тоже 50. Затем мы нажимаем “ввод” или “enter” и начинаем чертить уже толстой полилинией как на картинке ниже.

Возможно у Вас возникнет вопрос. “А почему мы задаемся шириной два раза?”

Все дело в том, что мы можем сделать начало отрезка одной толщины, а конец другой толщины и тогда получится этакий конус в итоге. В целом это просто дает больше возможностей, чем если бы мы задавались единой шириной.

Вопрос 2. Как перейти в режим задания дуги?

Полилинию можно чертить не только линейно, т.е. отрезками, но и с помощью дуг!

Шаг 1. Для этого следует выбрать во время работы с полилинией параметр “дуга” в диспетчере команд или нажать правую кнопку мышки и выбрать одноименную команду “дуга”.

Шаг 2. Теперь мы можем наносить полилинию с помощью дуг.

Кроме того, можно строить дугу не через точку, а еще и через центр, радиус и вторую точку.

Шаг 3. Для возвращения в линейный режим, следует выбрать в параметрах соответствующую команду “линейный”.

Вопрос 3. Как завершить построение полилинии в Автокаде?

Для завершения работы с полилинией, следует нажать пробел или enter, еще можно кликнуть правой кнопкой мышки и выбрать команду “ввод”.

Вопрос 4. Как превратить сплайн в полилинию в Автокаде?

Если Вы начертили сплайн и хотите преобразовать его в полилинию, то следует сделать ряд простых шагов.

Шаг 1. Выделяем сплайн в Автокаде.

Шаг 2. После выделения, кликаем правой кнопкой мышки. В контекстном меню нас интересует пункт “сплайн” в дополнительном меню выбираем “преобразовать в полилинию”.

Шаг 3. Теперь следует указать точность от 1 до 99. Точность указываем или около курсора (если включен динамический ввод) или вводим в командную строку значение от 1 до 99..

Обратите пожалуйста внимание, чем больше точность Вы укажите, тем более сглаженной будет сама полилиния и наоборот, если Вы укажите точность 2 или 5, то полилиния будет более ломаной.

Вопрос 5. Как объединить несколько полилиний в Автокаде?

Бывают ситуации, когда требуется объединить несколько полилиний в одну. Для этого требуется сделать ряд простых шагов.

Шаг 1. Выбираем любую полилинию, кликаем правой кнопкой мышки. В контекстном меню идем в пункт “полилиния”, там нас интересует пункт в меню “редактировать полилинию”.

Шаг 2. Выбираем пункт “добавить” и выбираем нужную нам полилинию.

В нашем случае, мы выбираем нижнюю полилинию и затем нажимаем enter два раза. Как видите на последней картинке две полилинии стали одним целым.

Выбираем полилинию, которую мы хотим присоединить.

Выбрали и нажали enter два раза.

Теперь наши полилинии стали единым целым.

Вопрос 6. Как отрезки объединить в полилинию в Автокаде?

Процедура не сильно отличается от предыдущего вопроса. Имея несколько отрезков на чертеже мы можем их преобразовать в одну полилинию. Для этого требуется опять сделать ряд простых шагов.

Шаг 1. Раскрываем панель “редактирования”, нас интересует команда “редактировать полилинию”.

Шаг 2. Далее, выбираем любой из отрезков.

Шаг 3. Программа Автокад просит преобразовать отрезок в “полилинию”, мы соглашаемся и нажимаем enter. Данной процедурой мы преобразовали один из отрезков в полилинию.

Шаг 4. Сейчас нам требуется опять с помощью команды “добавить” выбрать оставшиеся отрезки и затем два раза нажать на enter. Тем самым мы объединили все наши отрезки в одну полилинию.

Выбираем отрезки, которые мы присоединим к нашей созданной полилинии.

Итог наших работ, наши отрезки стали одной полилинией и теперь мы можем задать ей новые параметры, например присвоить единую ширину.

Полилиния является важной частью программы Автокад. Все дело в том, что гораздо удобней редактировать одну полилинию, чем множество отрезков. Поэтому при создании проектов используйте полилини.

Источник: https://autocad-prosto.ru/video-uroki/polilinii-v-avtokade-vsyo-o-poliliniyakh.html

Объединение и вычитание в AutoCAD – СтройМетПроект

Как объединить мультилинии в автокаде

» Самоучитель » Обучение AutoCAD » Объединение и вычитание в AutoCAD

Очень часто возникает необходимость в AutoCAD соединить 2D примитивы в единый цельный объект, тем самым преобразовав его в полилинию или область. Это нужно, например, чтобы подготовить объект для выдавливания в 3D-тело. Рассмотрим пример (см. рис.).

Однозначно ответить на вопрос, как в Автокаде объединить отрезки нельзя, т.к. существует несколько команд, которые позволяют это сделать. Поэтому давайте их рассмотрим.

Объект в AutoCAD состоящий из отрезков

Как в автокаде объединить линии с помощью команды «Область»

Команда «Область» находится на вкладке «» на панели «Рисование». Она позволяет преобразовывать замкнутые объекты в так называемые объекты-области. Чтобы выполнить команду, достаточно ее выбрать, после чего указать все объекты, которые нужно соединить.

Команда AutoCAD «Область»

Как в Автокаде соединить линии с помощью команды «Контур»

Еще одна очень полезная команда, которая позволяет создавать не только объекты-области, но и полилинии – «Контур». Расположена на вкладке «», панель «Рисование».

Выполняется данная команда следующим образом: после ее активации появляется диалоговое окно, в котором следует указать тип конечного объекта (область или полилиния), затем после нажатия Ок вам будет предложено указать внутреннюю точку замкнутого контура. Если нет никаких зазоров, то команда выполнится корректно.

Команда AutoCAD «Контур»

Как в Автокаде объединить объекты с помощью команды «Соединить»

Если ваш объект состоит из отрезков, дуговых сегментов, полилиний или сплайнов, которые в совокупности представляют замкнутый объект, то можно воспользоваться командой редактирования «Соединиться», чтобы сделать его цельным. Работает команда просто: нужно ее выбрать, а затем указать все объекты, которые необходимо соединить (можно воспользоваться рамой выделения, если много элементов), после чего нажать Enter.

ПРИМЕЧАНИЕ: Если в замкнутом контуре есть не состыковки, то команда выполняться не будет! Поэтому при работе пользуйтесь объектными привязками.

Как в Автокаде объединить полилинии, отрезки, дуги

Теперь вам известны способы, как в Автокаде соединить различные объекты в цельный сложный примитив. И в заключении отмечу очень важную вещь: иногда, когда не срабатывает одна из рассмотренных команд, другая, при тех же условиях, может выполниться корректно.

Чтобы создавать сложные 3d модели AutoCAD, необходимо использовать так называемые логические команды. Они позволяют из нескольких объектов одного типа создавать новые более сложные и не стандартные 3d формы. Существует три логические команды:

— объединение;

— вычитание;

— пересечение;

В результате выполнения каждой из команд получается цельный составной объект. Эти команды расположены на панели «Редактирование тела» (см. рис.).

3д моделирование Автокад с помощью логических команд

Автокад. Объединение объектов одного типа

Итак, рассмотрим команду «Объединение». Как видно из названия, данная операция позволяет выполнять объединение объектов в Автокаде (тел, поверхностей и областей). Главное условие, чтобы объединяемые объекты были одного типа.

Учтите, что объединить объекты в Автокаде можно даже те, которые не имеют общих точек соприкосновения. Визуального различие при этом не произойдет, однако сам объект станет цельным.

Саму команду выполнить очень просто:

  1. Выбираем команду «Объединение» (см. рис).
  2. Выбираем все объекты, которые хотим объединить и нажимаем Enter.

ПРИМИЧАНИЕ:

Чтобы ускорить выбор объектов, можно воспользоваться рамой выделения.

Объединение в Автокаде

Как отменить объединение в Автокаде

Можно воспользоваться командой «Разделить» на панели «Редактирование тела». Однако учтите, что разделить составной объект можно в том случае, если нет общих точек соприкосновения.

Команда AutoCAD «Разделить»

Таким образом, построение 3d моделей в AutoCAD можно выполнять с помощью логических команд. Команда «Объединение» позволяет объединить объемы отдельных трехмерных объектов в единое целое. Это существенно уменьшает вес файла. Примите это на заметку!

Как было сказано ранее, создавать составные объекты AutoCAD можно с помощью трех логических команд. Объединение в Автокаде позволяет получать цельные сложные формы 3D моделей, а вот с помощью операции «Вычитание» можно создавать отверстия, выемки или углубления.

AutoCAD Вычитание

Рассмотрим вычитание в Автокаде более подробно. Новый объект можно получить за счет удаления объема других твердотельных тел или поверхностей. Главное условие: объекты должны иметь общие точки (объемы) пересечения. Наглядный пример продемонстрирован на рис.

ПРИМЕЧАНИЕ:

Если вычитать твердотельный объект из поверхности, то в результате данного действия получится поверхность, а вот вычесть поверхность из 3D тела – невозможно.

https://www.youtube.com/watch?v=0oylFtMQVtY

Команда AutoCAD «Вычитание»

Алгоритм выполнения команды «Вычитание»очень прост:

  1. На панели «Редактирование тела» выбрать операцию «Вычитание».
  2. Указать объекты из которых нужно вычесть определенный объем. Нажать Enter.
  3. Выбрать объекты, которые нужно вычесть. Нажать Enter.

При выполнении данной последовательности команда выполнится корректно. Пример показан на рис.

Таким образом, трехмерное моделирование в AutoCAD с помощью логических команд позволяет создавать разнообразные составные объекты. Операция «Вычитание» — очень популярная команда, т.к. с ее помощью можно делать отверстия и различные углубления. Обязательно ознакомьтесь с данным инструментом на практике!

Источник данного материала:
http://autocad-specialist.ru

Источник: https://stroymetproekt.ru/samouchitel/obuchenie-autocad/obedinenie-i-vychitanie-v-autocad/

Мультилиния в Автокаде

Как объединить мультилинии в автокаде

На мой взгляд, разработчики незаслуженно убрали команду мультилиния  из последних версий  Автокад.

Этот инструмент многофункционален и может быть использован в различных областях проектирования.

При помощи мультилинии мы можем создавать многослойные стены в архитектуре, рисовать дороги, трубопроводы системы отопление  и теплоснабжения, воздуховоды  систем вентиляции.

Давайте, вернем мультилинию на ленту  и познакомимся с ней более подробно.

Итак, в этой уроке мы рассмотрим следующее:

Добавление команды «Мультилиния» на ленту

Перейдите на вкладку «Управление»  выберите команду «Пользовательский интерфейс». См. Рис. 1.

Рис. 1.  Команда «Пользовательский интерфейс».

Откроется окно «Адаптация  пользовательского интерфейса».

Щелкните [+] напротив надписи «Лента». Зачем по [+] напротив  «Вкладки», по [+] напротив  « 2D»  и выберите строку  « 2D — Рисование».

Справа вверху появится панель инструментов « 2D — Рисование».

Чтобы найти команду «Мультилиния», слева внизу в окне «Список команд» набираем «мультилин». Ниже появятся команды, которые мы и поместим на панель  « 2D — Рисование».

Справа вверху щелкните на изображение кольца. См. Рис. 2

Рис. 2. Окно «Адаптация пользовательского интерфейса».

Слева вверху станут видны команды панели « 2D — Рисование». Помещаем курсор мыши на команду «Мультилиния» нажимаем левую кнопку мыши, и не отпуская ее, тащим под команду «Кольцо» и только там отпускаем. Тоже самое делаем с командой «Стиль мультилиний». См. Рис. 3.

Рис. 3. Добавляем команды на па панель инструментов.

В результате на панели « 2D — Рисование» появятся две новые команду. Нажимаем ОК. См. Рис. 4.

Рис. 4. Новые команды на панели инструментов.

Таким образом, мы можем добавлять на «Ленту” любые команды.

Создание нового стиля мультилинии

Мультилиния в Автокаде может быть использоваться в различных областях проектирования. В данной статье мы рассмотрим одну из них. Мы создадим мультилинию для прорисовки воздуховода (трубопровода).

Перейдите на вкладку «», щелкните по надписи «Рисование» и выберите команду «Стиль мультилинии…». См. Рис. 5.

Рис. 5. Команда «Стиль мультилинии…».

Откроется окно «Стиль мультилиний». Нажмите на кнопку «Создать». В окне «Создание стиля мультилинии» введите имя нового стиля («New») и нажмите кнопку «Продолжить». См. Рис. 6.

Рис. 6. Окно «Стиль мультилиний»

Откроется окно «Новый стиль мультилинии: NEW». Поставьте галочки напротив надписи отрезок, что замкнуть концы нашего воздуховода. Нажмите на кнопку «Добавить», чтобы добавить  центральную линию. См. Рис. 7.

Рис. 7. Создание нового стиля мультилинии.

Выделите центральную линию, поменяйте цвет (Фиолетовый) и тип линии (Осевая) и нажмите ОК. См. Рис. 8.

Рис. 8.  Изменяем цвет и тип линии.

Будет создан новый стиль мультилинии «NEW», образец которого можно посмотреть в нижней части окна. Нажмите на кнопку «Установить», чтобы сделать стиль мультилинии «NEW» текущим. Затем кнопку ОК. См. Рис. 9.

Рис. 9. Новый стиль мультилинии.

Добавление мультилинии в чертеж

Теперь давайте нарисуем воздуховод диаметром 250 мм.

Выберите на панели команду «Мультилиния». См. Рис. 10.

Рис. 10. Команда «Мультилиния».

Далее смотрим в командную строку: Выберите вначале «Расположение» , затем «Центр», чтобы при построении мы указывали центральную линию воздуховода. См. Рис. 11.

Рис. 11. Расположение направляющей линии.

Затем выбираем «Масштаб», вводим 250 и нажимаем (или пробел). См. Рис. 12.

Рис. 12. Задаем масштаб мультилинии.

Далее указываем несколько точек в рабочем окне Автокад. Команда нарисует нам воздуховод диаметром 250. См. Рис. 13.

Рис. 13. Воздуховод диаметром 250.

Создавая различные стили мультилиний, можно найти множество применений этой без сомнения интересной функции. Но нам как программистам, хотелось бы создавать такие стили программным путем.  В этом случаи, их можно будет включить в свои программы и с легкостью переносить с одного компьютера на другой.

Создание стиля мультилинии программным путем

Откройте редактор Visual LISP (введите в командной строке VLIDE и нажмите ). Стиль мультилинии мы будем создавать при помощи функции entmakex, которая создает новый примитив или не графический объект по списку с данными. В общем случаи функция выглядеть так:

(entmakex ) – список точечных пар примитива или не графического объекта.

Для создания списка нам понадобятся DXF-коды стиля мультилиний. Давайте посмотрим их в справочной системе. См. Рис. 14.

Рис. 14. Справка MLINESTYLE (DXF).

Внимательно изучив DXF-коды, составляем следующий список:

'((0 . “MLINESTYLE”)(102 . “{ACAD_REACTORS”)(102 . “}”) (100 . “AcDbMlineStyle”) (2 . “VenK”) (70 . 272) (3 . “Воздуховод”) (51 . 1.5708) (52 . 1.5708) (71 . 3) (49 . 0.5) (62 . 256) (6 . “BYLAYER”) (49 . 0.0) (62 . 6) (6 . “Осевая”) (49 . -0.5) (62 . 256) (6 . “BYLAYER”))

В котором:

Код 0 – тип объекта; Код 102 – Группа реакторов; Код 100 – маркер подкласса (имеет вид «AcDb» + тип примитива); Код 2 – Имя стиля мультилинии; Код 70 – Стиль торцов.

272 (16+256) – говорит о том что концы мультилинии замкнуты отрезками; Код 3 – Описание стиля; Код 51 – угол наклона замыкающего отрезка в начале мультилинии в радианах (Пи/2 =1.5708 = 90 градусов); Код 52 – угол наклона замыкающего отрезка в конце мультилинии в радианах (Пи/2 =1.

5708 = 90 градусов); Код 71 – количество линий. Код 49 – смещение линии. Код 62 – цвет линии. Код 6 – тип линии.

Коды 49, 62, и 6 задаются три раза, для каждой линии отдельно.

При помощи setq cохраним наш список в переменной mlList. См. Рис. 15.

Рис. 15. Список стиля мультилиннии.

Теперь по этому списку мы должны создать новый стиль мультилинии и добавить его в словарь мультилиний Автокад.

Вначале давайте определим имя, которое Автокад присвоил словарю мультилиний.

Чтобы определить имя корневого словаря не графических объектов используем функцию

(namedobjdict)

Возвращает:

Чтобы получить характеристики словаря мультилиний используем функцию dictsearch:

(dictsearch ) – имя корневого словаря; – тип словаря входящего в корневой словарь.

В нашем случаи:

(dictsearch (namedobjdict) «ACAD_MLINESTYLE»)

Возвращает: Список словаря мультилиний.

((-1 . < Имя объекта: 7ef01cb8>) (0 . “DICTIONARY”) (5 . “17”) (102 . “{ACAD_REACTORS”) (330 . < Имя объекта: 7ef01c60>) (102 . “}”) (330 . < Имя объекта: 7ef01c60>) (100 . “AcDbDictionary”) (280 . 0) (281 . 1 )(3 . “NEW”) (350 . < Имя объекта: 7ef035e0>) (3 . “Standard”) (350 . < Имя объекта: 7ef01cc0>))

В этом списке хранится информация о всех созданных стилях мультилиний (DXF-код 3).

Чтобы извлечь элемент с DXF-кодом -1 ( с именем словаря мультилиний), используем функции assoc:

(assoc -1 (dictsearch (namedobjdict) “ACAD_MLINESTYLE”))

Возвращает: элемент с DXF-кодом -1

(-1 . < Имя объекта: 7ef01cb8>)

Чтобы избавиться от первого элемента точечной пары используем функцию cdr:

(cdr(assoc -1(dictsearch (namedobjdict) “ACAD_MLINESTYLE”)))

Возвращает: имя словаря мультилиний

< Имя объекта: 7ef01cb8>

Сохраним имя словаря мультилиний в переменной mlDict:

(setq mlDict (cdr(assoc -1(dictsearch (namedobjdict) “ACAD_MLINESTYLE”))))

И наконец, создаем новый стиль:

(entmakex mlList)mlList – список нового стиля мультилинии

И при помощи функции dictadd добавляем его в словарь мультилиний:

(dictadd mlDict “VenK” (entmakex mlList))mlDict – имя словаря мультилиний; “VenK” – Имя нового стиля

Вставим выше сказанное в программу. См. Рис. 16.

Рис. 16. Добавляем новый стиль в словарь мультилиний.

Данный код создает стиль мультилинии и добавляет его в словарь мультилиний.

Чтобы не возникало ошибок, при добавление стиля, который уже есть в словаре, нам необходимо провести проверку наличия стиля в словаре:

Создадим точечную пару:

(cons 3 “VENK”)

Возвращает:

(3 . “VENK”)

Затем при помощи функции member проверим, если в Автокаде стиль с таким именем:

(member (cons 3 «VENK») (dictsearch (namedobjdict) «ACAD_MLINESTYLE»))

Если (3 . «VENK») нет в списке словаря мультилиний (dictsearch (namedobjdict) «ACAD_MLINESTYLE»), то функция member вернет nil

Если есть, то  функция member вернет остаток списка, начиная и указанного элемента.

Таким образом,  если функция  member

возвращает nil — нам нужно добавить новый стиль,

если список – стиль добавлять не надо.

При помощи функции if добавим условия проверки на nil:

(if (= nil (member (cons 3 “VENK”) (dictsearch (namedobjdict) “ACAD_MLINESTYLE”)))     )

Поскольку выражений несколько, добавляем функцию progn

(if (= nil (member (cons 3 “VENK”) (dictsearch (namedobjdict) “ACAD_MLINESTYLE”)))    (prong          )  ) – выражения, которые будут выполнены в случаи, если функция member возвратит nil.

Добавляем выше сказанное. См. Рис. 17.

Рис. 17. Проверка наличия стиля в словаре.

Выделите весь текст программы и нажмите «Загрузить выделенных фрагмент».

Перейдите в Автокад. Нажмите на кнопку «Стили мультилиний». Откроется окно «Стили мультилиний», в котором появился новый стиль «VENK». См. Рис. 18.

Рис. 18. Новый стиль в окне «Стили мультилиний»

Вернемся в редактор Visual LISP и при помощи функции defun преобразуем нашу программу в пользовательскую функцию:

В начале программы добавим строку, в которой придумаем имя новой команды (SMLK) и перечислим все временные переменные:

(defun SMLK (/ mlDict mlList) ) ; end_defun

В конце программы добавим закрывающую скобку.

Не забудьте  сохранить программу.

Окончательный вариант программы см. Рис. 19.

Рис. 19. Пользовательская функция создания стиля мультилинии.

Что вызвать нашу пользовательскую функцию, используем имя функции в скобках:

(SMLK)

И в заключении давайте напишем небольшую программу, вставляющую в чертеж мультилинию.

LISP программа добавления мультилинии

Программу будем создавать в этом же файле, где наша пользовательская функция.

Вначале просим пользователя ввести размер воздуховода:

(setq Di (getreal “Введите размер воздуховода :”))

Сохраняем его в переменной Di.

Затем просим указать начальную и конечную точки воздуховода:

(setq p1 (getpoint “Укажите первую точку:”)) (setq p2 (getpoint “\ nУкажите вторую точку:” p1))

Сохраняем их в переменных р1 и р2.

При помощи пользовательской функции добавляем новый стиль мультилинии:

(SMLK)

Запоминаем текущий стиль мультилинии и сохраняем его в переменной Cml:

(setq Cml (getvar “CMLSTYLE”))

Делаем текущим наш стиль:

(setvar “CMLSTYLE” “VenK”)

Добавляем мультилинию:

(command  “_mline” “_J” “_Z” “_S” Di p1 p2 “”)”_mline” – стандартная команда Автокад (мультилиния); “_J” – вызываем запрос расположения направляющей линии; “_Z” – указываем расположение по центру; “_S” – вызываем запрос масштаба мультилинии; Di – размер масштаба; p1 p2 – координаты начальной и конечной точек; “” – имитирует нажатие .

Возвращаем первоначальный стиль мультилинии:

(setvar “CMLSTYLE” Cml)

При помощи функции defun преобразуем нашу программу в команду Автокад:

В начале программы добавим строку, в которой придумаем имя новой команды (Vml) и перечислим все временные переменные:

(defun c:Vml (/ Di p1 p2 Cml) ) ; end_defun

В конце программы добавим закрывающую скобку.

В результате получим программу команды добавления мультилинии. См. Рис. 20.

Рис. 20. Программа добавления мультилинии.

Нажмите кнопку «Загрузить активное окно редактора», перейдите в Автокад.

Введите в командной строке «Vml» и нажмите .

На запрос «Введите размер воздуховода :» – вводим 200, нажимаем .

Указываем две точку и программа построит воздуховод указанного размера. См. Рис. 21.

Рисю 21. Воздуховод.

Дальнейшим развитием программы может быть:

  • Создание диалогового окна для быстрого ввода стандартных размеров;
  • Добавление дополнительных данных в мультилинию;
  • Чтение дополнительных данных для выноски или составления спецификации и т.д.

Постепенно программу можно превратить в отличного помощника, который будет экономить  Вам время.

Источник: https://acad-prog.ru/multiliniya-v-avtokade/

Все лайфхаки
Добавить комментарий

;-) :| :x :twisted: :smile: :shock: :sad: :roll: :razz: :oops: :o :mrgreen: :lol: :idea: :grin: :evil: :cry: :cool: :arrow: :???: :?: :!: